
/* This is based on qq14-actioneditor-code.zip from Qt */

#ifndef _ACTIONSEDITOR_H_
#define _ACTIONSEDITOR_H_

#include "qt3_4_compat.h"
#include <qdialog.h>
#include <qvaluelist.h>

class QTable;
class QTableItem;
class QWidget;
class QACTION;
class QSettings;

class ActionsEditor : public QDialog
{
    Q_OBJECT

public:
    ActionsEditor( QWidget * parent = 0, const char * name = 0, bool modal = FALSE, WFlags f = 0 );
	~ActionsEditor();

	void addActions(QWidget * widget);
	void applyChanges();

	/*
	void saveToConfig(QSettings * set);
	void loadFromConfig(QSettings * set);
	*/

	static void saveToConfig(QObject *o, QSettings *set);
	static void loadFromConfig(QObject *o, QSettings *set);

protected:
	void updateView();

protected slots:
    void accept();

private slots:
    void recordAction(int row, int column);
    void validateAction(int row, int column);

private:
    QString oldAccelText;
    QTable *actionsTable;
    QValueList<QACTION*> actionsList;
};

#endif
