Name: smplayer
Summary: A great MPlayer front-end (QT4)
Summary(ru_RU.CP1251):    MPlayer (QT4)
License: GPL
Group: Video
Url: http://smplayer.sourceforge.net/
Version: 0.4.7
Release: alt0.M24.1
Source0: %name-%version.tar.gz
Source1: smplayer_uk_UA.qm
Source2: smplayer_uk_UA.ts
Source3: %name.menu.qt3
Source4: %name.menu.qt4
Source5: %name.menu.kde
Patch0: %name-0.3.40-alt_dirs_optflags.diff
Patch1: %name-0.3.39-optflag_makefile.diff
Requires: MPlayer %name-common = %version
BuildRequires: XFree86-devel fontconfig freetype2 gcc-c++ libqt4-devel >= 4.2 libqt3-devel libstdc++-devel kdelibs-devel

%description
smplayer intends to be a complete front-end for MPlayer, from basic features
like playing videos, DVDs, and VCDs to more advanced features like support
for MPlayer filters and more. One of the main features is the ability to
remember the state of a played file, so when you play it later it will resume
at the same point and with the same settings. smplayer is developed with
the Qt toolkit, so it's multi-platform.
Compiled with Qt4

%description -l ru_RU.CP1251
SMPlayer         MPlayer,
    , DVD, VCDs   
 MPlayer-     ..   
 -      
,           
        . SMPlayer  
 Qt   .
  Qt4

%package -n %name-qt3
Summary: A great MPlayer front-end (QT3)
Summary(ru_RU.CP1251):    MPlayer (QT3)
Group: Video
Provides: %name
Requires: MPlayer %name-common = %version

%description -n %name-qt3
smplayer intends to be a complete front-end for MPlayer, from basic features
like playing videos, DVDs, and VCDs to more advanced features like support
for MPlayer filters and more. One of the main features is the ability to
remember the state of a played file, so when you play it later it will resume
at the same point and with the same settings. smplayer is developed with
the Qt toolkit, so it's multi-platform.
Compiled with Qt3.

%description -l ru_RU.CP1251 -n %name-qt3
SMPlayer         MPlayer,
    , DVD, VCDs   
 MPlayer-     ..   
 -      
,           
        . SMPlayer  
 Qt   .
  Qt3.

%package -n %name-kde
Summary: A great MPlayer front-end (KDE)
Summary(ru_RU.CP1251):    MPlayer (KDE)
Group: Video
Provides: %name
Requires: MPlayer %name-common = %version

%description -n %name-kde
smplayer intends to be a complete front-end for MPlayer, from basic features
like playing videos, DVDs, and VCDs to more advanced features like support
for MPlayer filters and more. One of the main features is the ability to
remember the state of a played file, so when you play it later it will resume
at the same point and with the same settings. smplayer is developed with
the Qt toolkit, so it's multi-platform.
Compiled with KDE support.

%description -l ru_RU.CP1251 -n %name-kde
SMPlayer         MPlayer,
    , DVD, VCDs   
 MPlayer-     ..   
 -      
,           
        . SMPlayer  
 Qt   .
   KDE.

%package -n %name-common
Summary: A great MPlayer front-end (common files)
Summary(ru_RU.CP1251):    MPlayer ( )
Group: Video

%description -n %name-common
Common files for SMPlayer

%description -l ru_RU.CP1251 -n %name-common
   SMPlayer

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%__subst 's|DOC_PATH=$(PREFIX)/share/doc/packages/smplayer|DOC_PATH=%_docdir/%name-%version|g' Makefile

%build
# qt3
export OLDPATH=$PATH
export PATH=$PATH:$QTDIR/bin
export OPTFLAGS="%optflags"
%make_build
mv src/%name src/%name-qt3
cd src && make clean && cd ..

# kde
export PATH=$OLDPATH:$QTDIR/bin
export OPTFLAGS="%optflags"
%make_build KDE_SUPPORT=1
mv src/%name src/%name-kde
cd src && make clean && cd ..

# qt4
export PATH=$OLDPATH:%_qt4dir/bin:$QTDIR
export OPTFLAGS="%optflags"
%make prep
%make_build

%install
%makeinstall
%__install -Dp -m 0755 src/%name-qt3 %buildroot%_bindir/%name-qt3
%__install -Dp -m 0755 src/%name-kde %buildroot%_bindir/%name-kde

# Menu
%__install -Dp -m 0644 %SOURCE3 %buildroot%_menudir/%name-qt3
%__install -Dp -m 0644 %SOURCE4 %buildroot%_menudir/%name-qt4
%__install -Dp -m 0644 %SOURCE5 %buildroot%_menudir/%name-kde

# external ukrainian translation 
rm -rf %buildroot%_datadir/%name/translations/smplayer_uk_UA.qm 
%__install -m 0644 %SOURCE1 %buildroot%_datadir/%name/translations/smplayer_uk_UA.qm

%post
%update_menus

%post -n %name-qt3
%update_menus

%post -n %name-kde
%update_menus

%postun
%clean_menus

%postun -n %name-qt3
%clean_menus

%postun -n %name-kde
%clean_menus

%files -n %name-common
%_docdir/%name-%version
%_datadir/%name
%_iconsdir/*/*/*

%files
%_bindir/%name
%_menudir/%name-qt4

%files -n %name-qt3
%_bindir/%name-qt3
%_menudir/%name-qt3

%files -n %name-kde
%_bindir/%name-kde
%_menudir/%name-kde

%changelog
* Thu May 03 2007 Motsyo Gennadi <drool@altlinux.ru> 0.4.7-alt0.M24.1
- new version
- updated external ukrainian translation

* Thu May 03 2007 Motsyo Gennadi <drool@altlinux.ru> 0.4.6-alt0.M24.1
- new version
- updated and enabled external ukrainian translation

* Tue May 01 2007 Motsyo Gennadi <drool@altlinux.ru> 0.4.4-alt0.M24.1
- new version
- disable external ukrainian translation (upstream merged)

* Tue May 01 2007 Motsyo Gennadi <drool@altlinux.ru> 0.4.3-alt0.M24.1
- new version
- updated and enabled external ukrainian translation

* Mon Apr 30 2007 Motsyo Gennadi <drool@altlinux.ru> 0.4.2-alt0.M24.1
- new version

* Sun Apr 29 2007 Motsyo Gennadi <drool@altlinux.ru> 0.4.1-alt0.M24.1
- new version
- disable external ukrainian translation (upstream merged)

* Sun Apr 29 2007 Motsyo Gennadi <drool@altlinux.ru> 0.4.0-alt0.M24.1
- new version
- updated external ukrainian translation

* Sat Apr 28 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.45-alt0.M24.1
- new version
- updated and fixed external ukrainian translation
- limited libqt4-devel to >= 4.2 (for system tray icon function)

* Sat Apr 28 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.44-alt0.M24.1
- new version
- updated and enabled external ukrainian translation

* Fri Apr 27 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.43-alt0.M24.1
- new version

* Fri Apr 27 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.42-alt0.M24.1
- new version

* Thu Apr 26 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.41-alt0.M24.1
- new version

* Thu Apr 26 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.40-alt0.M24.1
- new version
- fix patch0 for 0.3.40
- disable external ukrainian translation (upstream merged)

* Wed Apr 25 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.39-alt0.M24.2
- split KDE support into smplayer-kde package
- updated and enabled external ukrainian translation

* Tue Apr 24 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.39-alt0.M24.1
- new version
- fix patch1 for 0.3.39
- enable KDE supports for qt3 version

* Tue Apr 24 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.38-alt0.M24.1
- new version
- fix patch0 and patch1 for 0.3.38

* Mon Apr 23 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.37-alt0.M24.1
- new version

* Mon Apr 23 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.36-alt0.M24.1
- new version
- modify patch0 and create patch1 for fix optflags for qt4 compiling

* Sun Apr 22 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.35-alt0.M24.1
- new version
- disable external ukrainian translation (upstream merged)

* Sat Apr 21 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.34-alt0.M24.1
- new version
- updated and enabled external ukrainian translation

* Sat Apr 21 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.33-alt0.M24.1
- new version
- updated, fixed and enabled external ukrainian translation

* Fri Apr 20 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.32-alt0.M24.1
- new version

* Fri Apr 20 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.31-alt0.M24.1
- new version

* Thu Apr 19 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.30-alt0.M24.1
- new version

* Thu Apr 19 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.29-alt0.M24.1
- new version

* Wed Apr 18 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.28-alt0.M24.1
- new version
- disable external ukrainian translation (upstream merged)

* Wed Apr 18 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.27-alt0.M24.1
- new version
- updated and enabled external ukrainian translation

* Sat Apr 14 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.20-alt0.M24.1
- new version

* Sat Apr 14 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.19-alt0.M24.1
- new version
- disable external ukrainian translation (upstream merged)

* Fri Apr 13 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.18-alt0.M24.1
- new version
- updated and enabled external ukrainian translation

* Thu Apr 12 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.17-alt0.M24.1
- new version
- disable external ukrainian translation (upstream merged)

* Wed Apr 11 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.16-alt0.M24.1
- new version
- updated ukrainian translation

* Wed Apr 11 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.15-alt0.M24.1
- new version

* Mon Apr 09 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.14-alt0.M24.1
- new version
- update & fix ukrainian translation

* Mon Apr 09 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.13-alt0.M24.2
- update & fix ukrainian translation

* Mon Apr 09 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.13-alt0.M24.1
- new version
- update smplayer-0.3.7_alt_dirs_optflags.diff for 0.3.13

* Sat Apr 07 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.12-alt0.M24.1
- new version
- disable external ukrainian translation (upstream merged)
- update & fix ukrainian translation

* Sat Apr 07 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.11-alt0.M24.1
- new version
- remove patch for QThread support (upstream merged)
- add external ukrainian translation

* Fri Apr 06 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.10-alt0.M24.1
- new version

* Fri Apr 06 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.9-alt0.M24.2 
- change patch for QThread support (author's variant)

* Fri Apr 06 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.9-alt0.M24.1
- new version
- add patch for QThread support (thanks to wRAR for hint)
- split building with Qt3 and Qt4 compilation
- remove patch for desktop-file for more informative (upstream merged)

* Thu Apr 05 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.8-alt0.M24.1
- new version
- update patch for desktop file for 0.3.8 version (upstream updated)

* Wed Apr 04 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.7-alt0.M24.3
- add russian comments into desktop file and to description

* Wed Apr 04 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.7-alt0.M24.2
- cleanup spec (upstream merged method for converting to Qt4)
- change creating menu-file method
- add patch for desktop-file for more informative

* Wed Apr 04 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.7-alt0.M24.1
- new version
- update smplayer-0.3.1_alt_dirs_optflags.diff for 0.3.7

* Tue Apr 03 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.6-alt0.M24.1
- new version
- disable external russian translation (upstream updated)

* Tue Apr 03 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.5-alt0.M24.1
- new version :-D

* Mon Apr 02 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.4-alt0.M24.1
- new version :-(

* Mon Apr 02 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.3-alt0.M24.1
- new version
- enable external russian translation (little fixed)

* Sun Apr 01 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.2-alt0.M24.1
- new version

* Fri Mar 30 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.1-alt0.M24.1
- new version
- disable external russian translation (upstream merged)
- update Patch0 for 0.3.1 version

* Thu Mar 29 2007 Motsyo Gennadi <drool@altlinux.ru> 0.3.0-alt0.M24.1
- new version
- update and fix russian translation

* Wed Mar 28 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.43-alt0.M24.2
- enable external russian translation (little fixed)

* Wed Mar 28 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.43-alt0.M24.1
- new version
- disable external russian translation (upstream merged)

* Tue Mar 27 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.42-alt0.M24.1
- new version
- update and fix russian translation for 0.2.42 version

* Mon Mar 26 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.41-alt0.M24.1
- new version
- update russian translation for 0.2.41 version

* Sun Mar 25 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.40-alt0.M24.1
- new version

* Fri Mar 23 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.38-alt0.M24.1
- new version
- little fixing into russian language file

* Wed Mar 21 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.30-alt0.M24.2
- add russian language (alpha)

* Sun Mar 18 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.30-alt0.M24.1
- new version

* Sat Mar 17 2007 Motsyo Gennadi <drool@altlinux.ru> 0.2.27-alt0.M24.1
- initial build for ALT Linux 2.4 Master

* Mon Feb 12 2007 Ricardo Villalba <rvm@escomposlinux.org>
  - first spec file
